﻿
/* モーダルウィンドウ */
.modal-window {
	display: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 98%;
	height: auto;
	border-radius: 5px;
	z-index: 11;
}
@media screen and (max-width:767px) {
	.modal-window {
		top: 50%;
	}
}

/* 閉じるボタン */
.button-close {
	position: absolute;
	top: 0;
    right: 35%;
    cursor: pointer;
    transform: translate(100%,-50%);
	border: none;
	background-color: transparent;
	z-index: 99;
}
.button-close--inner {
	transform: rotate(45deg);
	display: inline-block;
	vertical-align: middle;
	color: #fff;
	line-height: 1;
	width: 3.0em;
	height: 0.42em;
	background: currentColor;
	border-radius: 0.1em;
}
.button-close--inner::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: inherit;
	border-radius: inherit;
	transform: rotate(90deg);
	transition: 1.0s;
}
.button-close:hover .button-close--inner {
	color: #000;
}
@media screen and (max-width:767px) {
	.button-close {
		top: 0px;
    	right: 0px;
    	transform: translate(0,-50%);
	}
	.button-close--inner {
		width: 2.0em;
		height: 0.32em;
	}
}

/* オーバーレイ */
.overlay {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.5);
	width: 100%;
	height: 100%;
	z-index: 10;
}


.no_scroll {
	overflow: hidden;
}

.js-caption {
	text-align: center;
	transform: rotate(0.03deg);
	margin-top: 50px;
	font-size: 1.25rem;
	font-weight: 700;
	padding: 10px 0;
	background-color: #ffffff;
    background-image: repeating-linear-gradient(70deg, #dbdda480, #dbdda480 10px, #e9f3e580 10px, #e9f3e580 20px);
}

@media screen and (max-width:767px) {
	.js-caption {
		font-size: 4.0vw;
	}
}